# Avalara 1099 & W-9 API Definition

## Authentication

#### Step 1: Generate API Credentials

Generate a *client ID* and *client secret* from your [Avalara1099 account](https://www.track1099.com/api_tokens): *Your Profile → API*.

#### Step 2: Get an Identity Token

Send a `POST` request to the **Identity Token URL** with your *client ID* and *client secret* from Step 1 as form-encoded parameters:

```http
POST https://identity.avalara.com/connect/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials
client_id=
client_secret=
```

**Body parameters**
- `grant_type` — Always `client_credentials`
- `client_id` — Your *client ID* from Step 1
- `client_secret` — Your *client secret* from Step 1

**Successful response**

```json
{
  "access_token": "eyJhbGci...",
  "expires_in": 3600,
  "token_type": "Bearer"
}
```

Use the `access_token` as a bearer token in the `Authorization` header on every A1099 API request:

```http
Authorization: Bearer 
```

---

For more on authenticating requests, see the [A1099 authentication guide](https://developer.avalara.com/1099-and-w-9/kny2997001535374/).

---

## Environments

#### Production
- **Avalara 1099 API URL:** [`https://api.avalara.com/avalara1099`](https://api.avalara.com/avalara1099)
- **Identity Token URL:** [`https://identity.avalara.com/connect/token`](https://identity.avalara.com/connect/token)

#### Sandbox
- **Avalara 1099 API URL:** [`https://api.sbx.avalara.com/avalara1099`](https://api.sbx.avalara.com/avalara1099)
- **Identity Token URL:** [`https://ai-sbx.avlr.sh/connect/token`](https://ai-sbx.avlr.sh/connect/token)

---

## API & SDK Documentation

[Avalara 1099 API Reference](https://developer.avalara.com/api-reference/avalara1099/avalara1099/)

[Avalara SDKs](https://developer.avalara.com/sdk/)

[Swagger](https://api.avalara.com/avalara1099/swagger/index.html?api-version=2.0)

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/

**Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099

---

## Endpoints

### Companies W9

#### List companies

`GET /w9/companies`

List existing companies. Filterable/Sortable fields are: "name", "referenceId", "group.name", "createdAt" and "updatedAt".

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.
For more information on filtering, see Filtering in REST. |
| `$top` | integer | query | No | If zero or greater than 1000, return at most 1000 results.
Otherwise, return this number of results.
Used with skip to provide pagination for large datasets. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data. Used with top to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC. |
| `count` | boolean | query | No | If true, return the global count of elements in the collection. |
| `countOnly` | boolean | query | No | If true, return ONLY the global count of elements in the collection.
It only applies when count=true. |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Create a company

`POST /w9/companies`

Create a company.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Retrieve a company

`GET /w9/companies/{id}`

Retrieve a company.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | Id of the company |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Update a company

`PUT /w9/companies/{id}`

Update a company.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The ID of the company to update |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Delete a company

`DELETE /w9/companies/{id}`

Delete a company.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The company to delete |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |


### Forms 1099

#### Create or update multiple 1099/1095/W2/1042S forms

`POST /1099/forms/$bulk-upsert`

This endpoint allows you to create or update multiple 1099/1095/W2/1042S forms.
Maximum of 5000 forms can be processed in a single bulk request.

**Date Scheduling Rules:**

If federalEfileDate, stateEfileDate, or recipientEdeliveryDate are between current date and beginning of blackout period, scheduled to that date.
If dates are in the past or blackout period, scheduled to next available date.
For blackout period information, see https://www.track1099.com/info/IRS_info.
StateEfileDate must be on or after federalEfileDate.
Set dates to null to leave unscheduled.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `dryRun` | boolean | query | No | defaults to false. If true, it will NOT change the DB. It will just return a report of what would've have been changed in the DB |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Retrieve a 1099/1095/W2/1042S form

`GET /1099/forms/{id}`

Retrieve a 1099/1095/W2/1042S form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes |  |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Update a 1099/1095/W2/1042S form

`PUT /1099/forms/{id}`

Update a 1099/1095/W2/1042S form.

**Date Update Rules:**

Possible to update scheduled dates (same validation rules apply).
Cannot change from scheduled to unscheduled status - must delete form and create new one.
If dates are between current date and blackout period, scheduled to that date.
If dates are in past or blackout period, scheduled to next available date.
For blackout period information, see https://www.track1099.com/info/IRS_info.
StateEfileDate must be on or after federalEfileDate.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes |  |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Delete a 1099/1095/W2/1042S form

`DELETE /1099/forms/{id}`

Delete a 1099/1095/W2/1042S form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The unique identifier of the desired form to delete. |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Retrieve the PDF file for a 1099/1095/W2/1042S form

`GET /1099/forms/{id}/pdf`

Retrieve the PDF file for a 1099/1095/W2/1042S form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The ID of the form |
| `markEdelivered` | boolean | query | No | Optional boolean that if set indicates that the form should be marked as having been successfully edelivered |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### List 1099/1095/W2/1042S forms

`GET /1099/forms`

List 1099/1095/W2/1042S forms.
            
Collections support filtering only on certain fields. An attempt to filter on an unsupported field will receive a 400 Bad Request response.
            
Supported filtering fields are as follows:
            
- issuerId
- issuerReferenceId
- taxYear
- addressVerificationStatus - possible values are: unknown, pending, failed, incomplete, unchanged, verified
- createdAt
- edeliveryStatus - possible values are: sent, unscheduled, bad_verify, bad_verify_limit, scheduled, bounced, accepted
- email
- federalEfileStatus - possible values are: unscheduled, scheduled, sent, corrected_scheduled, accepted, corrected, corrected_accepted, held
- recipientName
- mailStatus - possible values are: sent, unscheduled, pending, delivered
- referenceId
- tinMatchStatus - possible values are: none, pending, matched, failed
- type - possible values are: 940, 941, 943, 944, 945, 1042, 1042-S, 1095-B, 1095-C, 1097-BTC, 1098, 1098-C, 1098-E, 1098-Q, 1098-T, 3921, 3922, 5498, 5498-ESA, 5498-SA, 1099-MISC, 1099-A, 1099-B, 1099-C, 1099-CAP, 1099-DIV, 1099-G, 1099-INT, 1099-K, 1099-LS, 1099-LTC, 1099-NEC, 1099-OID, 1099-PATR, 1099-Q, 1099-R, 1099-S, 1099-SA, T4A, W-2, W-2G, 1099-HC
- updatedAt
- validity - possible values are: true, false
            
For more information on filtering, see Filtering in REST.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.
For more information on filtering, see Filtering in REST. |
| `$top` | integer | query | No | If zero or greater than 1000, return at most 1000 results.
Otherwise, return this number of results.
Used with skip to provide pagination for large datasets. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data. Used with top to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC. |
| `count` | boolean | query | No | If true, return the global count of elements in the collection. |
| `countOnly` | boolean | query | No | If true, return ONLY the global count of elements in the collection.
It only applies when count=true. |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Create a 1099/1095/W2/1042S form

`POST /1099/forms`

Create a 1099/1095/W2/1042S form.

**Date Scheduling Rules:**

If federalEfileDate, stateEfileDate, or recipientEdeliveryDate are between current date and beginning of blackout period, scheduled to that date.
If dates are in the past or blackout period, scheduled to next available date.
For blackout period information, see https://www.track1099.com/info/IRS_info.
StateEfileDate must be on or after federalEfileDate.
Set dates to null to leave unscheduled.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |


### Forms W9

#### List W9/W4/W8 forms

`GET /w9/forms`

List W9/W4/W8 forms. Filterable/Sortable fields are: "companyId", "type", "displayName", "entryStatus", "email", "archived" and "referenceId".

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.
For more information on filtering, see Filtering in REST. |
| `$top` | integer | query | No | If zero or greater than 1000, return at most 1000 results.
Otherwise, return this number of results.
Used with skip to provide pagination for large datasets. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data. Used with top to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC. |
| `count` | boolean | query | No | If true, return the global count of elements in the collection. |
| `countOnly` | boolean | query | No | If true, return ONLY the global count of elements in the collection.
It only applies when count=true. |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Create a W9/W4/W8 form

`POST /w9/forms`

Create a W9/W4/W8 form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Retrieve a W9/W4/W8 form

`GET /w9/forms/{id}`

Retrieve a W9/W4/W8 form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | ID of the form |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Update a W9/W4/W8 form

`PUT /w9/forms/{id}`

Update a W9/W4/W8 form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | ID of the form to update |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Delete a W9/W4/W8 form

`DELETE /w9/forms/{id}`

Delete a W9/W4/W8 form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | ID of the form to delete |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Replace the PDF file for a W9/W4/W8 form

`POST /w9/forms/{id}/attachment`

Replaces the PDF file for a W9/W4/W8 form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | Id of the form |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Create a minimal W9/W4/W8 form and sends the e-mail request

`POST /w9/forms/$create-and-send-email`

Create a minimal W9/W4/W8 form and sends the e-mail request.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Send an email to the vendor/payee requesting they fill out a W9/W4/W8 form

`POST /w9/forms/{id}/$send-email`

Send an email to the vendor/payee requesting they fill out a W9/W4/W8 form.
If the form is not in 'Requested' status, it will either use an existing descendant form
in 'Requested' status or create a new minimal form and send the email request.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The ID of the W9/W4/W8 form. |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Download the PDF for a W9/W4/W8 form.

`GET /w9/forms/{id}/pdf`

Returns the PDF file for a W9/W4/W8 form.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | Id of the form |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |


### Issuers 1099

#### List issuers

`GET /1099/issuers`

List issuers (also known as Payers). Filterable fields are name, referenceId and taxYear.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.
For more information on filtering, see Filtering in REST. |
| `$top` | integer | query | No | If zero or greater than 1000, return at most 1000 results.
Otherwise, return this number of results.
Used with skip to provide pagination for large datasets. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data. Used with top to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC. |
| `count` | boolean | query | No | If true, return the global count of elements in the collection. |
| `countOnly` | boolean | query | No | If true, return ONLY the global count of elements in the collection.
It only applies when count=true. |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Create an issuer

`POST /1099/issuers`

Create an issuer (also known as a Payer).

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Retrieve an issuer

`GET /1099/issuers/{id}`

Retrieve an issuer (also known as a Payer).

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | Id of the issuer to retrieve |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Update an issuer

`PUT /1099/issuers/{id}`

Update an issuer (also known as a Payer).

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | Id of the issuer to update |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

#### Delete an issuer

`DELETE /1099/issuers/{id}`

Delete an issuer (also known as a Payer).

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | Id of the issuer to delete |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |


### Jobs

#### Retrieves information about the job

`GET /jobs/{id}`

Retrieves information about the job

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | Job id obtained from other API responses, like `/1099/bulk-upsert`. |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

---

## Models

### CompanyBase

| Property | Type | Description |
|---|---|---|
| `name` | string | Legal name. Not the DBA name. |
| `dbaName` | string | Doing Business As (DBA) name or continuation of a long legal name. |
| `email` | string | Contact email address. For inquiries by vendors/employees. |
| `address` | string | Address. |
| `city` | string | City. |
| `state` | string | Two-letter US state or Canadian province code (required for US/CA addresses). |
| `zip` | string | ZIP/postal code. |
| `telephone` | string | Contact phone number (must contain at least 10 digits, max 15 characters). |
| `tin` | string | Federal Tax Identification Number (TIN). EIN/Tax ID (required for US companies). |
| `referenceId` | string | Internal reference ID. Never shown to any agency or recipient. |
| `doTinMatch` | boolean | Indicates whether the company authorizes IRS TIN matching. |
| `groupName` | string | Group name for organizing companies (creates or finds group by name). |
| `foreignProvince` | string | Province or region for non-US/CA addresses. |
| `countryCode` | string | Two-letter IRS country code (e.g., 'US', 'CA'), as defined at https://www.irs.gov/e-file-providers/country-codes. |
| `resendRequests` | boolean | Boolean to enable automatic reminder emails (default: false). |
| `resendIntervalDays` | integer | Days between reminder emails (7-365, required if resendRequests is true). |
| `maxReminderAttempts` | integer | Maximum number of reminder attempts (1-52, required if resendRequests is true). |

### CompanyRequest

### CompanyResponse

| Property | Type | Description |
|---|---|---|
| `id` | string | Unique identifier set when the record is created. |
| `createdAt` | string | Date time when the record was created. |
| `updatedAt` | string | Date time when the record was last updated. |

### CoveredIndividual

Covered individual information for health coverage forms

| Property | Type | Description |
|---|---|---|
| `id` | string | Covered individual's ID |
| `firstName` | string | Covered individual's first name |
| `middleName` | string | Covered individual's middle name |
| `lastName` | string | Covered individual's last name |
| `nameSuffix` | string | Covered individual's name suffix |
| `tin` | string | Covered individual's Federal Tax Identification Number (TIN).. SSN or ITIN. Required unless unavailable. |
| `birthDate` | string | Covered individual's date of birth - Required when SSN is missing. |
| `coveredJanuary` | boolean | Coverage indicator for January |
| `coveredFebruary` | boolean | Coverage indicator for February |
| `coveredMarch` | boolean | Coverage indicator for March |
| `coveredApril` | boolean | Coverage indicator for April |
| `coveredMay` | boolean | Coverage indicator for May |
| `coveredJune` | boolean | Coverage indicator for June |
| `coveredJuly` | boolean | Coverage indicator for July |
| `coveredAugust` | boolean | Coverage indicator for August |
| `coveredSeptember` | boolean | Coverage indicator for September |
| `coveredOctober` | boolean | Coverage indicator for October |
| `coveredNovember` | boolean | Coverage indicator for November |
| `coveredDecember` | boolean | Coverage indicator for December |

### EntryStatusResponse

Represents the entry status information for a W9 form.

| Property | Type | Description |
|---|---|---|
| `status` | string | The form status. |
| `time` | string | The timestamp for the latest status update. |

### ErrorResponse

| Property | Type | Description |
|---|---|---|
| `title` | string | A summary of the problem type. |
| `errors` | array | A list of errors detailing the problem type. |

### ErrorResponseItem

| Property | Type | Description |
|---|---|---|
| `type` | string | An identifier for this occurrence of the problem.
It is the name of a request's field when specific to that field.
Otherwise, for other types of errors, its value is empty. |
| `detail` | string | An explanation specific to this occurrence of the problem. |

### Form1042S

Form 1042-S: Foreign Person's U.S. Source Income Subject to Withholding

| Property | Type | Description |
|---|---|---|
| `tinType` | string | Tax Identification Number (TIN) type.

Available values:
- EIN: Employer Identification Number
- SSN: Social Security Number
- ITIN: Individual Taxpayer Identification Number
- ATIN: Adoption Taxpayer Identification Number |
| `uniqueFormId` | string | Unique form identifier |
| `recipientDateOfBirth` | string | Recipient's date of birth |
| `recipientGiin` | string | Recipient's Global Intermediary Identification Number (GIIN). A valid GIIN looks like 'XXXXXX.XXXXX.XX.XXX'. |
| `recipientForeignTin` | string | Recipient's foreign TIN. Required if email is specified, must fill either this or Chap3StatusCode. |
| `lobCode` | string | Limitation on Benefits (LOB) code for tax treaty purposes.
Available values:
- 01: Individual (Deprecated - valid only for tax years prior to 2019)
- 02: Government - contracting state/political subdivision/local authority
- 03: Tax exempt pension trust/Pension fund
- 04: Tax exempt/Charitable organization
- 05: Publicly-traded corporation
- 06: Subsidiary of publicly-traded corporation
- 07: Company that meets the ownership and base erosion test
- 08: Company that meets the derivative benefits test
- 09: Company with an item of income that meets the active trade or business test
- 10: Discretionary determination
- 11: Other
- 12: No LOB article in treaty |
| `incomeCode` | string | Income code.
Available values:

Interest:
- 01: Interest paid by US obligors - general
- 02: Interest paid on real property mortgages
- 03: Interest paid to controlling foreign corporations
- 04: Interest paid by foreign corporations
- 05: Interest on tax-free covenant bonds
- 22: Interest paid on deposit with a foreign branch of a domestic corporation or partnership
- 29: Deposit interest
- 30: Original issue discount (OID)
- 31: Short-term OID
- 33: Substitute payment - interest
- 51: Interest paid on certain actively traded or publicly offered securities(1)
- 54: Substitute payments - interest from certain actively traded or publicly offered securities(1)

Dividend:
- 06: Dividends paid by U.S. corporations - general
- 07: Dividends qualifying for direct dividend rate
- 08: Dividends paid by foreign corporations
- 34: Substitute payment - dividends
- 40: Other dividend equivalents under IRC section 871(m) (formerly 871(l))
- 52: Dividends paid on certain actively traded or publicly offered securities(1)
- 53: Substitute payments - dividends from certain actively traded or publicly offered securities(1)
- 56: Dividend equivalents under IRC section 871(m) as a result of applying the combined transaction rules

Other:
- 09: Capital gains
- 10: Industrial royalties
- 11: Motion picture or television copyright royalties
- 12: Other royalties (for example, copyright, software, broadcasting, endorsement payments)
- 13: Royalties paid on certain publicly offered securities(1)
- 14: Real property income and natural resources royalties
- 15: Pensions, annuities, alimony, and/or insurance premiums
- 16: Scholarship or fellowship grants
- 17: Compensation for independent personal services(2)
- 18: Compensation for dependent personal services(2)
- 19: Compensation for teaching(2)
- 20: Compensation during studying and training(2)
- 23: Other income
- 24: Qualified investment entity (QIE) distributions of capital gains
- 25: Trust distributions subject to IRC section 1445
- 26: Unsevered growing crops and timber distributions by a trust subject to IRC section 1445
- 27: Publicly traded partnership distributions subject to IRC section 1446
- 28: Gambling winnings(3)
- 32: Notional principal contract income(4)
- 35: Substitute payment - other
- 36: Capital gains distributions
- 37: Return of capital
- 38: Eligible deferred compensation items subject to IRC section 877A(d)(1)
- 39: Distributions from a nongrantor trust subject to IRC section 877A(f)(1)
- 41: Guarantee of indebtedness
- 42: Earnings as an artist or athlete - no central withholding agreement(5)
- 43: Earnings as an artist or athlete - central withholding agreement(5)
- 44: Specified Federal procurement payments
- 50: Income previously reported under escrow procedure(6)
- 55: Taxable death benefits on life insurance contracts
- 57: Amount realized under IRC section 1446(f)
- 58: Publicly traded partnership distributions-undetermined
- 59: Consent fees
- 60: Loan syndication fees
- 61: Settlement payments |
| `grossIncome` | number | Gross income |
| `withholdingIndicator` | string | Withholding indicator
Available values:
- 3: Chapter 3
- 4: Chapter 4 |
| `taxCountryCode` | string | Country code |
| `exemptionCodeChap3` | string | Exemption code (Chapter 3). Required if WithholdingIndicator is 3 (Chapter 3) and FederalTaxWithheld is 0. Required when using TaxRateChap3.
Can be left empty if FederalTaxWithheld is greater than 0.
Available values:
- 00: Not exempt
- 01: Effectively connected income
- 02: Exempt under IRC (other than portfolio interest)
- 03: Income is not from US sources
- 04: Exempt under tax treaty
- 05: Portfolio interest exempt under IRC
- 06: QI that assumes primary withholding responsibility
- 07: WFP or WFT
- 08: U.S. branch treated as U.S. Person
- 09: Territory FI treated as U.S. Person
- 10: QI represents that income is exempt
- 11: QSL that assumes primary withholding responsibility
- 12: Payee subjected to chapter 4 withholding
- 22: QDD that assumes primary withholding responsibility
- 23: Exempt under section 897(l)
- 24: Exempt under section 892 |
| `exemptionCodeChap4` | string | Exemption code (Chapter 4). Required if WithholdingIndicator is 4 (Chapter 4).
Available values:
- 00: Not exempt
- 13: Grandfathered payment
- 14: Effectively connected income
- 15: Payee not subject to chapter 4 withholding
- 16: Excluded nonfinancial payment
- 17: Foreign Entity that assumes primary withholding responsibility
- 18: U.S. Payees - of participating FFI or registered deemed - compliant FFI
- 19: Exempt from withholding under IGA(6)
- 20: Dormant account(7)
- 21: Other - payment not subject to chapter 4 withholding |
| `taxRateChap3` | string | Tax rate (Chapter 3) - Required if WithholdingIndicator is 3 (Chapter 3).
Available values:
- 00.00: 0.00%
- 02.00: 2.00%
- 04.00: 4.00%
- 04.90: 4.90%
- 04.95: 4.95%
- 05.00: 5.00%
- 07.00: 7.00%
- 08.00: 8.00%
- 10.00: 10.00%
- 12.00: 12.00%
- 12.50: 12.50%
- 14.00: 14.00%
- 15.00: 15.00%
- 17.50: 17.50%
- 20.00: 20.00%
- 21.00: 21.00%
- 24.00: 24.00%
- 25.00: 25.00%
- 27.50: 27.50%
- 28.00: 28.00%
- 30.00: 30.00%
- 37.00: 37.00% |
| `withholdingAllowance` | number | Withholding allowance |
| `federalTaxWithheld` | number | Federal tax withheld |
| `taxNotDepositedIndicator` | boolean | Tax not deposited indicator |
| `academicIndicator` | boolean | Academic indicator |
| `withholdingRatePoolIndicator` | boolean | Box 7d withholding rate pool indicator |
| `taxWithheldOtherAgents` | number | Tax withheld by other agents |
| `amountRepaid` | number | Amount repaid to recipient |
| `taxPaidAgent` | number | Tax paid by withholding agent |
| `chap3StatusCode` | string | Chapter 3 status code - Required if WithholdingIndicator is 3 (Chapter 3). Available values:
- 01: U.S. Withholding Agent - FI (Deprecated - valid only for tax years prior to 2020)
- 02: U.S. Withholding Agent - Other (Deprecated - valid only for tax years prior to 2020)
- 03: Territory FI - treated as U.S. Person
- 04: Territory FI - not treated as U.S. Person
- 05: U.S. branch - treated as U.S. Person
- 06: U.S. branch - not treated as U.S. Person
- 07: U.S. branch - ECI presumption applied
- 08: Partnership other than Withholding Foreign Partnership
- 09: Withholding Foreign Partnership
- 10: Trust other than Withholding Foreign Trust
- 11: Withholding Foreign Trust
- 12: Qualified Intermediary
- 13: Qualified Securities Lender - Qualified Intermediary
- 14: Qualified Securities Lender - Other
- 15: Corporation
- 16: Individual
- 17: Estate
- 18: Private Foundation
- 19: Government or International Organization
- 20: Tax Exempt Organization (Section 501(c) entities)
- 21: Unknown Recipient
- 22: Artist or Athlete
- 23: Pension
- 24: Foreign Central Bank of Issue
- 25: Nonqualified Intermediary
- 26: Hybrid entity making Treaty Claim
- 27: Withholding Rate Pool - General
- 28: Withholding Rate Pool - Exempt Organization
- 29: PAI Withholding Rate Pool - General
- 30: PAI Withholding Rate Pool - Exempt Organization
- 31: Agency Withholding Rate Pool - General
- 32: Agency Withholding Rate Pool - Exempt Organization
- 34: U.S. Withholding Agent-Foreign branch of FI (Deprecated - valid only for tax years prior to 2020)
- 35: Qualified Derivatives Dealer
- 36: Foreign Government - Integral Part
- 37: Foreign Government - Controlled Entity
- 38: Publicly Traded Partnership
- 39: Disclosing Qualified Intermediary
- 40: Partnership QDD
- 41: U.S. government entity or tax exempt entity (other than section 501(c) entities) |
| `chap4StatusCode` | string | Chapter 4 status code. Required if WithholdingIndicator is 4 (Chapter 4). Required if email is specified, must fill either this or RecipientForeignTin. Available values:
- 01: U.S. Withholding Agent - FI
- 02: U.S. Withholding Agent - Other
- 03: Territory FI - not treated as U.S. Person
- 04: Territory FI - treated as U.S. Person
- 05: Participating FFI - Other
- 06: Participating FFI - Reporting Model 2 FFI
- 07: Registered Deemed - Compliant FFI-Reporting Model 1 FFI
- 08: Registered Deemed - Compliant FFI-Sponsored Entity
- 09: Registered Deemed - Compliant FFI-Other
- 10: Certified Deemed - Compliant FFI-Other
- 11: Certified Deemed - Compliant FFI-FFI with Low Value Accounts
- 12: Certified Deemed - Compliant FFI-Non-Registering Local Bank
- 13: Certified Deemed - Compliant FFI-Sponsored Entity
- 14: Certified Deemed - Compliant FFI-Investment Advisor or Investment Manager
- 15: Nonparticipating FFI
- 16: Owner-Documented FFI
- 17: U.S. Branch - treated as U.S. person
- 18: U.S. Branch - not treated as U.S. person (reporting under section 1471)
- 19: Passive NFFE identifying Substantial U.S. Owners
- 20: Passive NFFE with no Substantial U.S. Owners
- 21: Publicly Traded NFFE or Affiliate of Publicly Traded NFFE
- 22: Active NFFE
- 23: Individual
- 24: Section 501(c) Entities
- 25: Excepted Territory NFFE
- 26: Excepted NFFE - Other
- 27: Exempt Beneficial Owner
- 28: Entity Wholly Owned by Exempt Beneficial Owners
- 29: Unknown Recipient
- 30: Recalcitrant Account Holder
- 31: Nonreporting IGA FFI
- 32: Direct reporting NFFE
- 33: U.S. reportable account
- 34: Non-consenting U.S. account
- 35: Sponsored direct reporting NFFE
- 36: Excepted Inter-affiliate FFI
- 37: Undocumented Preexisting Obligation
- 38: U.S. Branch - ECI presumption applied
- 39: Account Holder of Excluded Financial Account
- 40: Passive NFFE reported by FFI
- 41: NFFE subject to 1472 withholding
- 42: Recalcitrant Pool - No U.S. Indicia
- 43: Recalcitrant Pool - U.S. Indicia
- 44: Recalcitrant Pool - Dormant Account
- 45: Recalcitrant Pool - U.S. Persons
- 46: Recalcitrant Pool - Passive NFFEs
- 47: Nonparticipating FFI Pool
- 48: U.S. Payees Pool
- 49: QI - Recalcitrant Pool-General
- 50: U.S. Withholding Agent-Foreign branch of FI |
| `primaryWithholdingAgent` | object | Primary withholding agent information |
| `intermediaryOrFlowThrough` | object | Intermediary or flow-through entity information |

### Form1095B

Form 1095-B: Health Coverage

| Property | Type | Description |
|---|---|---|
| `employeeFirstName` | string | Employee's first name |
| `employeeMiddleName` | string | Employee's middle name |
| `employeeLastName` | string | Employee's last name |
| `employeeNameSuffix` | string | Employee's name suffix |
| `employeeDateOfBirth` | string | Employee's date of birth |
| `originOfHealthCoverageCode` | string | Origin of health coverage code.

Available values:
- A: Small Business Health Options Program (SHOP)
- B: Employer-sponsored coverage
- C: Government-sponsored program
- D: Individual market insurance
- E: Multiemployer plan
- F: Other designated minimum essential coverage
- G: Employer-sponsored coverage that is an individual coverage HRA (valid for tax years 2020 and later) |
| `coveredIndividuals` | array | Covered individuals information - At least one month of coverage must be entered if it's not a correction. |

### Form1095C

Form 1095-C: Employer-Provided Health Insurance Offer and Coverage

| Property | Type | Description |
|---|---|---|
| `employeeFirstName` | string | Employee's first name |
| `employeeMiddleName` | string | Employee's middle name |
| `employeeLastName` | string | Employee's last name |
| `employeeNameSuffix` | string | Employee's name suffix |
| `recipientDateOfBirth` | string | Recipient's date of birth |
| `planStartMonth` | string | Plan start month.
The calendar month during which the plan year begins of the health plan in which the employee is offered coverage (or would be offered coverage if the employee were eligible to participate in the plan).
Available values:
- 00: None
- 01: January
- 02: February
- 03: March
- 04: April
- 05: May
- 06: June
- 07: July
- 08: August
- 09: September
- 10: October
- 11: November
- 12: December |
| `employerProvidedSiCoverage` | boolean | Employer provided self-insured coverage |
| `offerAndCoverages` | array | Offer and coverage information |
| `coveredIndividuals` | array | Covered individuals information |

### Form1099Base

| Property | Type | Description |
|---|---|---|
| `type` | string | Form type. |
| `id` | string | Form ID. Unique identifier set when the record is created. |
| `issuerId` | string | Issuer ID - only required when creating forms |
| `issuerReferenceId` | string | Issuer Reference ID - only required when creating forms via $bulk-upsert |
| `issuerTin` | string | Issuer TIN - readonly |
| `taxYear` | integer | Tax Year - only required when creating forms via $bulk-upsert |
| `referenceId` | string | Internal reference ID. Never shown to any agency or recipient. |
| `tin` | string | Recipient's Federal Tax Identification Number (TIN). |
| `recipientName` | string | Recipient name |
| `tinType` | string | Tax Identification Number (TIN) type.

Available values:
- EIN: Employer Identification Number
- SSN: Social Security Number
- ITIN: Individual Taxpayer Identification Number
- ATIN: Adoption Taxpayer Identification Number |
| `recipientSecondName` | string | Recipient second name |
| `address` | string | Address. |
| `address2` | string | Address line 2. |
| `city` | string | City. |
| `state` | string | Two-letter US state or Canadian province code (required for US/CA addresses). |
| `zip` | string | ZIP/postal code. |
| `email` | string | Recipient's Contact email address. |
| `accountNumber` | string | Account number |
| `officeCode` | string | Office code |
| `nonUsProvince` | string | Province or region for non-US/CA addresses. |
| `countryCode` | string | Two-letter IRS country code (e.g., 'US', 'CA'), as defined at https://www.irs.gov/e-file-providers/country-codes. |
| `federalEfileDate` | string | Date when federal e-filing should be scheduled. If set between current date and beginning of blackout period, scheduled to that date. If in the past or blackout period, scheduled to next available date. For blackout period information, see https://www.track1099.com/info/IRS_info. Set to null to leave unscheduled. |
| `postalMail` | boolean | Boolean indicating that postal mailing to the recipient should be scheduled for this form |
| `stateEfileDate` | string | Date when state e-filing should be scheduled. Must be on or after federalEfileDate. If set between current date and beginning of blackout period, scheduled to that date. If in the past or blackout period, scheduled to next available date. For blackout period information, see https://www.track1099.com/info/IRS_info. Set to null to leave unscheduled. |
| `recipientEdeliveryDate` | string | Date when recipient e-delivery should be scheduled. If set between current date and beginning of blackout period, scheduled to that date. If in the past or blackout period, scheduled to next available date. For blackout period information, see https://www.track1099.com/info/IRS_info. Set to null to leave unscheduled. |
| `tinMatch` | boolean | Boolean indicating that TIN Matching should be scheduled for this form |
| `noTin` | boolean | No TIN indicator |
| `addressVerification` | boolean | Boolean indicating that address verification should be scheduled for this form |
| `stateAndLocalWithholding` | object | State and local withholding information |
| `secondTinNotice` | boolean | Second TIN notice |
| `federalEfileStatus` | object | Federal e-file status.
Available values:
- unscheduled: Form has not been scheduled for federal e-filing
- scheduled: Form is scheduled for federal e-filing
- airlock: Form is in process of being uploaded to the IRS (forms exist in this state for a very short period and cannot be updated while in this state)
- sent: Form has been sent to the IRS
- accepted: Form was accepted by the IRS
- corrected_scheduled: Correction is scheduled to be sent
- corrected_airlock: Correction is in process of being uploaded to the IRS (forms exist in this state for a very short period and cannot be updated while in this state)
- corrected: A correction has been sent to the IRS
- corrected_accepted: Correction was accepted by the IRS
- rejected: Form was rejected by the IRS
- corrected_rejected: Correction was rejected by the IRS
- held: Form is held and will not be submitted to IRS (used for certain forms submitted only to states) |
| `stateEfileStatus` | array | State e-file status.
Available values:
- unscheduled: Form has not been scheduled for state e-filing
- scheduled: Form is scheduled for state e-filing
- airlocked: Form is in process of being uploaded to the state
- sent: Form has been sent to the state
- rejected: Form was rejected by the state
- accepted: Form was accepted by the state
- corrected_scheduled: Correction is scheduled to be sent
- corrected_airlocked: Correction is in process of being uploaded to the state
- corrected_sent: Correction has been sent to the state
- corrected_rejected: Correction was rejected by the state
- corrected_accepted: Correction was accepted by the state |
| `postalMailStatus` | object | Postal mail to recipient status.
Available values:
- unscheduled: Postal mail has not been scheduled
- pending: Postal mail is pending to be sent
- sent: Postal mail has been sent
- delivered: Postal mail has been delivered |
| `tinMatchStatus` | object | TIN Match status.
Available values:
- none: TIN matching has not been performed
- pending: TIN matching request is pending
- matched: Name/TIN combination matches IRS records
- unknown: TIN is missing, invalid, or request contains errors
- rejected: Name/TIN combination does not match IRS records or TIN not currently issued |
| `addressVerificationStatus` | object | Address verification status.
Available values:
- unknown: Address verification has not been checked
- pending: Address verification is in progress
- failed: Address verification failed
- incomplete: Address verification is incomplete
- unchanged: User declined address changes
- verified: Address has been verified and accepted |
| `eDeliveryStatus` | object | EDelivery status.
Available values:
- unscheduled: E-delivery has not been scheduled
- scheduled: E-delivery is scheduled to be sent
- sent: E-delivery has been sent to recipient
- bounced: E-delivery bounced back (invalid email)
- refused: E-delivery was refused by recipient
- bad_verify: E-delivery failed verification
- accepted: E-delivery was accepted by recipient
- bad_verify_limit: E-delivery failed verification limit reached
- second_delivery: Second e-delivery attempt
- undelivered: E-delivery is undelivered (temporary state allowing resend) |
| `validationErrors` | array | Validation errors |
| `createdAt` | string | Date time when the record was created. |
| `updatedAt` | string | Date time when the record was last updated. |

### Form1099Div

Form 1099-DIV: Dividends and Distributions
            
*At least one of the following dividend or distribution amounts must be provided:* 
Total ordinary dividends, Total capital gain distributions, Nondividend distributions, 
Cash liquidation distributions, Noncash liquidation distributions, or Exempt-interest dividends.

| Property | Type | Description |
|---|---|---|
| `totalOrdinaryDividends` | number | Total ordinary dividends |
| `qualifiedDividends` | number | Qualified dividends |
| `totalCapitalGainDistributions` | number | Total capital gain distributions |
| `unrecapturedSection1250Gain` | number | Unrecaptured Section 1250 gain |
| `section1202Gain` | number | Section 1202 gain |
| `collectiblesGain` | number | Collectibles (28%) gain |
| `section897OrdinaryDividends` | number | Section 897 ordinary dividends |
| `section897CapitalGain` | number | Section 897 capital gain |
| `nondividendDistributions` | number | Nondividend distributions |
| `federalIncomeTaxWithheld` | number | Federal income tax withheld |
| `section199ADividends` | number | Section 199A dividends |
| `investmentExpenses` | number | Investment expenses |
| `foreignTaxPaid` | number | Foreign tax paid |
| `foreignCountryOrUSPossession` | string | Foreign country or U.S. possession |
| `cashLiquidationDistributions` | number | Cash liquidation distributions |
| `noncashLiquidationDistributions` | number | Noncash liquidation distributions |
| `exemptInterestDividends` | number | Exempt-interest dividends |
| `specifiedPrivateActivityBondInterestDividends` | number | Specified private activity bond interest dividends |
| `fatcaFilingRequirement` | boolean | FATCA filing requirement. |

### Form1099Int

Form 1099-INT: Interest Imcome
            
*At least one of the following amounts must be provided:* 
Interest Income, Interest on U.S. Savings Bonds and Treasury obligations, or Tax-Exempt Interest.

| Property | Type | Description |
|---|---|---|
| `interestIncome` | number | Interest Income |
| `earlyWithdrawalPenalty` | number | Early Withdrawal Penalty |
| `usSavingsBondsInterest` | number | Interest on U.S. Savings Bonds and Treasury obligations |
| `federalIncomeTaxWithheld` | number | Federal income tax withheld |
| `investmentExpenses` | number | Investment Expenses |
| `foreignTaxPaid` | number | Foreign tax paid |
| `foreignCountry` | string | Foreign country or U.S. possession |
| `taxExemptInterest` | number | Tax-Exempt Interest |
| `specifiedPrivateActivityBondInterest` | number | Specified Private activity |
| `marketDiscount` | number | Market Discount |
| `bondPremium` | number | Bond Premium |
| `bondPremiumOnTreasuryObligations` | number | Bond Premium on Treasury obligations |
| `bondPremiumOnTaxExemptBond` | number | Bond Premium on tax exempt bond |
| `taxExemptBondCusipNumber` | string | Tax exempt bond CUSIP no. 
Enter VARIOUS if the tax-exempt interest is reported in the aggregate for multiple bonds or accounts. |
| `fatcaFilingRequirement` | boolean | FATCA filing requirement. |

### Form1099K

Form 1099-K: Payment Card and Third Party Network Transactions

| Property | Type | Description |
|---|---|---|
| `filerType` | string | Filer type for tax reporting purposes.
Available values:
- PSE: Payment Settlement Entity
- EPF: Electronic Payment Facilitator or other third party |
| `paymentType` | string | Payment type for transaction classification.
Available values:
- PaymentCard: Payment card transactions
- ThirdPartyNetwork: Third party network transactions |
| `paymentSettlementEntityNamePhoneNumber` | string | Payment settlement entity name and phone number, if different from Filer's |
| `grossAmountPaymentCard` | number | Gross amount of payment card/third party network transactions. This value must equal the total of all monthly payment amounts (January through December). |
| `cardNotPresentTransactions` | number | Card not present transactions |
| `merchantCategoryCode` | string | Merchant category code (4 numbers) |
| `paymentTransactionNumber` | number | Number of payment transactions |
| `federalIncomeTaxWithheld` | number | Federal income tax withheld |
| `january` | number | January gross payments |
| `february` | number | February gross payments |
| `march` | number | March gross payments |
| `april` | number | April gross payments |
| `may` | number | May gross payments |
| `june` | number | June gross payments |
| `july` | number | July gross payments |
| `august` | number | August gross payments |
| `september` | number | September gross payments |
| `october` | number | October gross payments |
| `november` | number | November gross payments |
| `december` | number | December gross payments |

### Form1099ListRequest

| Property | Type | Description |
|---|---|---|
| `type` | string | Available form types:
* `1042-S`
* `1095-B`
* `1095-C`
* `1099-DIV`
* `1099-INT`
* `1099-K`
* `1099-MISC`
* `1099-NEC`
* `1099-R`
* `W-2` |
| `forms` | array |  |

### Form1099Misc

Form 1099-MISC: Miscellaneous Income

*At least one of the following amounts must be provided:* 
Rents, Royalties, Other income, Fishing boat proceeds, Medical and health care payments,
Substitute payments in lieu of dividends or interest, Crop insurance proceeds, Gross proceeds paid to an attorney,
Fish purchased for resale, Section 409A deferrals, Excess golden parachute payments, Nonqualified deferred compensation,
Payer made direct sales totaling $5,000 or more of consumer products to recipient for resale

| Property | Type | Description |
|---|---|---|
| `rents` | number | Rents |
| `royalties` | number | Royalties |
| `otherIncome` | number | Other income |
| `federalIncomeTaxWithheld` | number | Federal income tax withheld |
| `fishingBoatProceeds` | number | Fishing boat proceeds |
| `medicalAndHealthCarePayments` | number | Medical and health care payments |
| `directSalesIndicator` | boolean | Payer made direct sales totaling $5,000 or more of consumer products to recipient for resale |
| `substitutePayments` | number | Substitute payments in lieu of dividends or interest |
| `cropInsuranceProceeds` | number | Crop insurance proceeds |
| `grossProceedsPaidToAttorney` | number | Gross proceeds paid to an attorney |
| `fishPurchasedForResale` | number | Fish purchased for resale |
| `section409ADeferrals` | number | Section 409A deferrals |
| `excessGoldenParachutePayments` | number | Excess golden parachute payments - Available only for tax year 2024 and earlier |
| `nonqualifiedDeferredCompensation` | number | Nonqualified deferred compensation |
| `fatcaFilingRequirement` | boolean | FATCA filing requirement. |

### Form1099Nec

Form 1099-NEC: Nonemployee Compensation

| Property | Type | Description |
|---|---|---|
| `nonemployeeCompensation` | number | Nonemployee compensation. Required if DirectSalesIndicator is false. |
| `directSalesIndicator` | boolean | Payer made direct sales totaling $5,000 or more of consumer products to recipient for resale. Should be true if Nonemployee compensation is not provided. |
| `excessGoldenParachutePayments` | number | Excess golden parachute payments - Available only for tax year 2025 and later |
| `federalIncomeTaxWithheld` | number | Federal income tax withheld. |

### Form1099R

Form 1099-R: Distributions From Pensions, Annuities, Retirement or Profit-Sharing Plans, IRAs, Insurance Contracts, etc.
            
*At least one of the following amounts must be provided:* 
Gross distribution, Taxable amount, Capital gain, Employee contributions/Designated Roth contributions or insurance premiums,
Net unrealized appreciation in employer's securities, Other amount, Total employee contributions,
Traditional IRA/SEP/SIMPLE or Roth conversion amount, or Amount allocable to IRR within 5 years

| Property | Type | Description |
|---|---|---|
| `grossDistribution` | number | Gross distribution |
| `taxableAmount` | number | Taxable amount |
| `taxableAmountNotDetermined` | boolean | Taxable amount not determined |
| `totalDistributionDetermined` | boolean | Total distribution |
| `capitalGain` | number | Capital gain (included in Box 2a) |
| `federalIncomeTaxWithheld` | number | Federal income tax withheld |
| `employeeContributionsOrDesignatedRothOrInsurancePremiums` | number | Employee contributions/Designated Roth contributions or insurance premiums |
| `netUnrealizedAppreciationInEmployerSecurities` | number | Net unrealized appreciation in employer's securities |
| `distributionCode` | string | Distribution code.

Available values:
- 1: Early distribution, no known exception (in most cases, under age 59½)
- 2: Early distribution, exception applies (under age 59½)
- 3: Disability
- 4: Death
- 5: Prohibited transaction
- 6: Section 1035 exchange (a tax-free exchange of life insurance, annuity, qualified long-term care insurance, or endowment contracts)
- 7: Normal distribution
- 8: Excess contributions plus earnings/excess deferrals (and/or earnings) taxable in payment year
- 9: Cost of current life insurance protection (premiums paid by a trustee or custodian for current insurance protection)
- A: May be eligible for 10-year tax option
- B: Designated Roth account distribution
- C: Reportable Death Benefits Under Section 6050Y(c)
- D: Annuity payments from nonqualified annuity payments and distributions from life insurance contracts that may be subject to tax under section 1411
- E: Distribution under Employee Plans Compliance Resolution System (EPCRS)
- F: Charitable gift annuity
- G: Direct rollover and rollover contribution
- H: Direct rollover of distribution from a designated Roth account to a Roth IRA
- J: Early distribution from a Roth IRA (This code may be used with a Code 8 or P)
- K: Distribution of IRA Assets Not Having A Readily Available FMV
- L: Loans treated as deemed distributions under section 72(p)
- M: Qualified Plan Loan Offsets
- N: Recharacterized IRA contribution made for year following payment year
- P: Excess contributions plus earnings/excess deferrals taxable for year prior to payment year
- Q: Qualified distribution from a Roth IRA (Distribution from a Roth IRA when the 5-year holding period has been met, and the recipient has reached 59½, has died, or is disabled)
- R: Recharacterized IRA contribution made for year prior to payment year
- S: Early distribution from a SIMPLE IRA in first 2 years no known exceptions
- T: Roth IRA distribution exception applies because participant has reached 59½, died or is disabled, but it is unknown if the 5-year period has been met
- U: Distribution from ESOP under Section 404(k)
- W: Charges or payments for purchasing qualified long-term care insurance contracts under combined arrangements
- Y: Qualified charitable distribution (QCD) claimed under section 408(d)(8) (Available for 2025 on) |
| `secondDistributionCode` | string | Second distribution code. Must be a valid combination with the first distribution code.
See DistributionCode property documentation for code descriptions.

Valid combinations based on first distribution code:
- 1: _, 8, B, D, K, L, M, P
- 2: _, 8, B, D, K, L, M, P
- 3: _, D
- 4: _, 8, A, B, D, G, H, K, L, M, P
- 5: _
- 6: _, W
- 7: _, A, B, D, K, L, M
- 8: _, 1, 2, 4, B, J, K
- 9: _
- A: 4, 7
- B: _, 1, 2, 4, 7, 8, G, L, M, P, U
- C: _, D
- D: 1, 2, 3, 4, 7, C
- E: _
- F: _
- G: _, 4, B, K
- H: _, 4
- J: _, 8, P
- K: 1, 2, 4, 7, 8, G
- L: _, 1, 2, 4, 7, B
- M: _, 1, 2, 4, 7, B
- N: _
- P: _, 1, 2, 4, B, J
- Q: _
- R: _
- S: _
- T: _
- U: _, B
- W: _, 6
- Y: 4, 7, K
            
(_ indicates no second distribution code)

(format: firstDistributionCode: availableSecondDistributionCodes) |
| `iraSepSimple` | boolean | IRA/SEP/SIMPLE |
| `traditionalIraSepSimpleOrRothConversionAmount` | number | Traditional IRA/SEP/SIMPLE or Roth conversion amount |
| `otherAmount` | number | Other amount |
| `otherPercentage` | string | Other percentage |
| `totalDistributionPercentage` | string | Total distribution percentage |
| `totalEmployeeContributions` | number | Total employee contributions |
| `amountAllocableToIrrWithin5Years` | number | Amount allocable to IRR within 5 years |
| `firstYearOfDesignatedRothContribution` | string | First year of designated Roth contribution |
| `dateOfPayment` | string | Date of payment |
| `fatcaFilingRequirement` | boolean | FATCA filing requirement. |

### Form1099StatusDetail

| Property | Type | Description |
|---|---|---|
| `time` | string |  |
| `status` | string |  |

### Form1099W2

Form W-2: Wage and Tax Statement.

| Property | Type | Description |
|---|---|---|
| `employeeFirstName` | string | Employee first name (max 15 chars). |
| `employeeMiddleName` | string | Employee middle name (max 15 chars, optional). |
| `employeeLastName` | string | Employee last name (max 20 chars). |
| `employeeNameSuffix` | string | Employee name suffix (Jr, Sr, III, etc — max 4 chars, optional). |
| `wages` | number | Wages, tips, other compensation. |
| `federalIncomeTaxWithheld` | number | Federal income tax withheld. |
| `socialSecurityWages` | number | Social security wages. |
| `socialSecurityTaxWithheld` | number | Social security tax withheld. |
| `medicareWages` | number | Medicare wages and tips. |
| `medicareTaxWithheld` | number | Medicare tax withheld. |
| `socialSecurityTips` | number | Social security tips. |
| `allocatedTips` | number | Allocated tips. |
| `dependentCareBenefits` | number | Dependent care benefits. |
| `nonqualifiedPlansSection457` | number | Non-qualified plan Section 457 distributions or contributions. |
| `nonqualifiedPlansNotSection457` | number | Non-qualified plan NOT Section 457 distributions or contributions. |
| `code12a` | string | Letter code (A-Z, AA, BB, etc) for slot a. |
| `amount12a` | number | Amount for slot a. |
| `code12b` | string | Letter code for slot b. |
| `amount12b` | number | Amount for slot b. |
| `code12c` | string | Letter code for slot c. |
| `amount12c` | number | Amount for slot c. |
| `code12d` | string | Letter code for slot d. |
| `amount12d` | number | Amount for slot d. |
| `statutoryEmployeeIndicator` | boolean | Statutory employee indicator. |
| `retirementPlanIndicator` | boolean | Retirement plan indicator. |
| `thirdPartySickPayIndicator` | boolean | Third-party sick pay indicator. |
| `thirdPartySickPayWithholding` | number | Third-party sick pay federal income tax withheld
(only effective when Avalara1099.Application.Forms1099.Models.Form1099W2.ThirdPartySickPayIndicator is true). |
| `other14a` | string | Other (max 30 chars) for slot a. |
| `other14b` | string | Other (max 30 chars) for slot b. |
| `other14c` | string | Other (max 30 chars) for slot c. |
| `stateAndLocalWithholdingSecondary` | object | Secondary state and local withholding slot. |

### IntermediaryOrFlowThrough

Intermediary or flow-through entity information for tax forms

| Property | Type | Description |
|---|---|---|
| `ein` | string | EIN (Employer Identification Number) of the intermediary or flow-through entity |
| `chap3StatusCode` | string | Chapter 3 status code for the intermediary or flow-through entity. Available values:
- 01: U.S. Withholding Agent - FI (Deprecated - valid only for tax years prior to 2020)
- 02: U.S. Withholding Agent - Other (Deprecated - valid only for tax years prior to 2020)
- 03: Territory FI - treated as U.S. Person
- 04: Territory FI - not treated as U.S. Person
- 05: U.S. branch - treated as U.S. Person
- 06: U.S. branch - not treated as U.S. Person
- 07: U.S. branch - ECI presumption applied
- 08: Partnership other than Withholding Foreign Partnership
- 09: Withholding Foreign Partnership
- 10: Trust other than Withholding Foreign Trust
- 11: Withholding Foreign Trust
- 12: Qualified Intermediary
- 13: Qualified Securities Lender - Qualified Intermediary
- 14: Qualified Securities Lender - Other
- 15: Corporation
- 16: Individual
- 17: Estate
- 18: Private Foundation
- 19: Government or International Organization
- 20: Tax Exempt Organization (Section 501(c) entities)
- 21: Unknown Recipient
- 22: Artist or Athlete
- 23: Pension
- 24: Foreign Central Bank of Issue
- 25: Nonqualified Intermediary
- 26: Hybrid entity making Treaty Claim
- 27: Withholding Rate Pool - General
- 28: Withholding Rate Pool - Exempt Organization
- 29: PAI Withholding Rate Pool - General
- 30: PAI Withholding Rate Pool - Exempt Organization
- 31: Agency Withholding Rate Pool - General
- 32: Agency Withholding Rate Pool - Exempt Organization
- 34: U.S. Withholding Agent-Foreign branch of FI (Deprecated - valid only for tax years prior to 2020)
- 35: Qualified Derivatives Dealer
- 36: Foreign Government - Integral Part
- 37: Foreign Government - Controlled Entity
- 38: Publicly Traded Partnership
- 39: Disclosing Qualified Intermediary
- 40: Partnership QDD
- 41: U.S. government entity or tax exempt entity (other than section 501(c) entities) |
| `chap4StatusCode` | string | Chapter 4 status code for the intermediary or flow-through entity. Available values:
- 01: U.S. Withholding Agent - FI
- 02: U.S. Withholding Agent - Other
- 03: Territory FI - not treated as U.S. Person
- 04: Territory FI - treated as U.S. Person
- 05: Participating FFI - Other
- 06: Participating FFI - Reporting Model 2 FFI
- 07: Registered Deemed - Compliant FFI-Reporting Model 1 FFI
- 08: Registered Deemed - Compliant FFI-Sponsored Entity
- 09: Registered Deemed - Compliant FFI-Other
- 10: Certified Deemed - Compliant FFI-Other
- 11: Certified Deemed - Compliant FFI-FFI with Low Value Accounts
- 12: Certified Deemed - Compliant FFI-Non-Registering Local Bank
- 13: Certified Deemed - Compliant FFI-Sponsored Entity
- 14: Certified Deemed - Compliant FFI-Investment Advisor or Investment Manager
- 15: Nonparticipating FFI
- 16: Owner-Documented FFI
- 17: U.S. Branch - treated as U.S. person
- 18: U.S. Branch - not treated as U.S. person (reporting under section 1471)
- 19: Passive NFFE identifying Substantial U.S. Owners
- 20: Passive NFFE with no Substantial U.S. Owners
- 21: Publicly Traded NFFE or Affiliate of Publicly Traded NFFE
- 22: Active NFFE
- 23: Individual
- 24: Section 501(c) Entities
- 25: Excepted Territory NFFE
- 26: Excepted NFFE - Other
- 27: Exempt Beneficial Owner
- 28: Entity Wholly Owned by Exempt Beneficial Owners
- 29: Unknown Recipient
- 30: Recalcitrant Account Holder
- 31: Nonreporting IGA FFI
- 32: Direct reporting NFFE
- 33: U.S. reportable account
- 34: Non-consenting U.S. account
- 35: Sponsored direct reporting NFFE
- 36: Excepted Inter-affiliate FFI
- 37: Undocumented Preexisting Obligation
- 38: U.S. Branch - ECI presumption applied
- 39: Account Holder of Excluded Financial Account
- 40: Passive NFFE reported by FFI
- 41: NFFE subject to 1472 withholding
- 42: Recalcitrant Pool - No U.S. Indicia
- 43: Recalcitrant Pool - U.S. Indicia
- 44: Recalcitrant Pool - Dormant Account
- 45: Recalcitrant Pool - U.S. Persons
- 46: Recalcitrant Pool - Passive NFFEs
- 47: Nonparticipating FFI Pool
- 48: U.S. Payees Pool
- 49: QI - Recalcitrant Pool-General
- 50: U.S. Withholding Agent-Foreign branch of FI |
| `name` | string | Name of the intermediary or flow-through entity |
| `giin` | string | GIIN (Global Intermediary Identification Number) of the intermediary or flow-through entity |
| `countryCode` | string | Country code for the intermediary or flow-through entity |
| `foreignTin` | string | Foreign TIN of the intermediary or flow-through entity |
| `address` | string | Address of the intermediary or flow-through entity |
| `city` | string | City of the intermediary or flow-through entity |
| `state` | string | State of the intermediary or flow-through entity |
| `zip` | string | Zip code of the intermediary or flow-through entity |

### IrsResponse

| Property | Type | Description |
|---|---|---|
| `code` | string | The IRS response code. |
| `description` | string | The description for the IRS response. |

### IssuerBase

| Property | Type | Description |
|---|---|---|
| `name` | string | Legal name. Not the DBA name. |
| `dbaName` | string | Doing Business As (DBA) name or continuation of a long legal name. Use either this or 'transferAgentName'. |
| `tin` | string | Federal Tax Identification Number (TIN). |
| `referenceId` | string | Internal reference ID. Never shown to any agency or recipient. If present, it will prefix download filenames. Allowed characters: letters, numbers, dashes, underscores, and spaces. |
| `telephone` | string | Contact phone number (must contain at least 10 digits, max 15 characters). For recipient inquiries. |
| `taxYear` | integer | Tax year for which the forms are being filed (e.g., 2024). Must be within current tax year and current tax year - 4. It's only required on creation, and cannot be modified on update. |
| `countryCode` | string | Two-letter IRS country code (e.g., 'US', 'CA'), as defined at https://www.irs.gov/e-file-providers/country-codes. If there is a transfer agent, use the transfer agent's shipping address. |
| `email` | string | Contact email address. For recipient inquiries. Phone will be used on communications if you don't specify an email |
| `address` | string | Address. |
| `city` | string | City. |
| `state` | string | Two-letter US state or Canadian province code (required for US/CA addresses). |
| `zip` | string | ZIP/postal code. |
| `foreignProvince` | string | Province or region for non-US/CA addresses. |
| `transferAgentName` | string | Name of the transfer agent, if applicable — optional; use either this or 'dbaName'. |
| `lastFiling` | boolean | Indicates if this is the issuer's final year filing. |

### IssuerRequest

### IssuerResponse

| Property | Type | Description |
|---|---|---|
| `id` | string | Unique identifier set when the record is created. |
| `createdAt` | string | Date time when the record was created. |
| `updatedAt` | string | Date time when the record was last updated. |

### JobResponse

Response model for job operations

| Property | Type | Description |
|---|---|---|
| `id` | string | Unique identifier for the job |
| `type` | string | Job type identifier. Will always be "update_job" for bulk upsert operations |
| `status` | string | Current status of the job (e.g., Success, Failed, InProgress) |
| `errorMessage` | string | Error message if the job failed, null otherwise |
| `totalProcessed` | integer | Total number of forms processed. Value can be 0 or another value based on what the job has available |
| `totalRows` | integer | Total number of forms in the request. Value can be 0 or another value based on what the job has available |
| `updatedValid` | integer | Number of forms updated and valid for e-filing and e-delivery. Value can be 0 or another value based on what the job has available |
| `updatedNoEmail` | integer | Number of forms updated and valid for e-filing but missing email or email is undeliverable. Value can be 0 or another value based on what the job has available |
| `updatedInvalid` | integer | Number of forms updated but invalid for e-filing. Value can be 0 or another value based on what the job has available |
| `skippedDuplicate` | integer | Number of forms skipped because they would have updated a record already updated once in the request. Value can be 0 or another value based on what the job has available |
| `skippedInvalid` | integer | Number of forms skipped because they would have made a form invalid and the form is already e-filed or scheduled for e-filing, or because you do not have permission to update forms that have been scheduled. Value can be 0 or another value based on what the job has available |
| `skippedMultipleMatches` | integer | Number of forms skipped because they matched multiple forms. Value can be 0 or another value based on what the job has available |
| `notFound` | integer | Number of forms skipped because no matching form or issuer could be found. Value can be 0 or another value based on what the job has available |
| `createdInvalid` | integer | Number of new forms created because no matching form could be found (and `upsert` was true) - with errors. Value can be 0 or another value based on what the job has available |
| `createdNoEmail` | integer | Number of new forms created because no matching form could be found (and `upsert` was true) - valid for e-filing but missing email or email is undeliverable. Value can be 0 or another value based on what the job has available |
| `createdValid` | integer | Number of new forms created because no matching form could be found (and `upsert` was true) - valid for e-filing and e-delivery. Value can be 0 or another value based on what the job has available |
| `dryRun` | boolean | Dry run. If `true`, this job only simulates the changes but doesn't actually persist them. |
| `upsert` | boolean | Upsert. If `true`, this job will first attempt to update existing records if matches can be found. Matches are done in the following order: Form ID, Form Reference ID and tax year, Form TIN and tax year. |
| `link` | string | Link to access the job details |
| `processedForms` | array | List of processed forms returned when bulk-upsert processes ≤1000 records. Same format as GET /1099/forms response. Only available in bulk-upsert endpoint responses. |

### OfferAndCoverage

Offer and coverage information for health coverage forms

| Property | Type | Description |
|---|---|---|
| `id` | integer | Id |
| `month` | string | Month of coverage.
Available values:
- All: All months
- January: January
- February: February
- March: March
- April: April
- May: May
- June: June
- July: July
- August: August
- September: September
- October: October
- November: November
- December: December |
| `offerCode` | string | Offer of Coverage Code. Required if Share has a value, including zero.
Available values:

Pre-ICHRA Codes (available before 2020):
- 1A: Qualifying offer: minimum essential coverage providing minimum value offered to full-time employee with employee required contribution ≤ 9.5% (as adjusted) of mainland single federal poverty line and at least minimum essential coverage offered to spouse and dependent(s)
- 1B: Minimum essential coverage providing minimum value offered to employee only
- 1C: Minimum essential coverage providing minimum value offered to employee and at least minimum essential coverage offered to dependent(s) (not spouse)
- 1D: Minimum essential coverage providing minimum value offered to employee and at least minimum essential coverage offered to spouse (not dependent(s))
- 1E: Minimum essential coverage providing minimum value offered to employee and at least minimum essential coverage offered to dependent(s) and spouse
- 1F: Minimum essential coverage NOT providing minimum value offered to employee; employee and spouse or dependent(s); or employee, spouse, and dependents
- 1G: Offer of coverage to an individual who was not an employee or not a full-time employee and who enrolled in self-insured coverage
- 1H: No offer of coverage (employee not offered any health coverage or employee offered coverage that is not minimum essential coverage)
- 1J: Minimum essential coverage providing minimum value offered to employee and at least minimum essential coverage conditionally offered to spouse; minimum essential coverage not offered to dependent(s)
- 1K: Minimum essential coverage providing minimum value offered to employee; at least minimum essential coverage offered to dependents; and at least minimum essential coverage conditionally offered to spouse
            
ICHRA Codes (introduced 2020, require ZIP code):
- 1L: Individual coverage HRA offered to employee only
- 1M: Individual coverage HRA offered to employee and dependent(s) (not spouse)
- 1N: Individual coverage HRA offered to employee, spouse, and dependent(s)
- 1O: Individual coverage HRA offered to employee only using employment site ZIP code affordability safe harbor
- 1P: Individual coverage HRA offered to employee and dependent(s) (not spouse) using employment site ZIP code affordability safe harbor
- 1Q: Individual coverage HRA offered to employee, spouse, and dependent(s) using employment site ZIP code affordability safe harbor
- 1R: Individual coverage HRA that is NOT affordable
- 1S: Individual coverage HRA offered to an individual who was not a full-time employee
- 1T: Individual coverage HRA offered to employee and spouse (not dependents)
- 1U: Individual coverage HRA offered to employee and spouse (not dependents) using employment site ZIP code affordability safe harbor

Note: Codes 1B, 1C, 1D, 1E, 1J, 1K, 1L, 1M, 1N, 1O, 1P, 1Q, 1T, 1U require employee share amount (0.00 is a valid value). |
| `share` | number | Employee required contribution share - Employee Share of Lowest Cost Monthly Premium, for Self-Only Minimum Value Coverage - May not exceed 3499.99 |
| `safeHarborCode` | string | Safe harbor code - Applicable Section 4980H Safe Harbor Code.
Available values:
- 2A: Form W-2 safe harbor
- 2B: Federal poverty line safe harbor
- 2C: Rate of pay safe harbor
- 2D: Part-time employee safe harbor for employees who were not full-time for any month of the year
- 2E: Multiemployer interim rule relief
- 2F: Qualifying offer method
- 2G: Qualifying offer transition relief
- 2H: Other affordability safe harbor |
| `zipCode` | string | ZIP/postal code. For coverage area (optional, unless codes 1L to 1U are used). |

### PaginatedQueryResultModel_CompanyResponse

Generic paginated model to wrap query response data

| Property | Type | Description |
|---|---|---|
| `@recordsetCount` | integer |  |
| `value` | array |  |
| `@nextLink` | string |  |

### PaginatedQueryResultModel_Form1099Base

Generic paginated model to wrap query response data

| Property | Type | Description |
|---|---|---|
| `@recordsetCount` | integer |  |
| `value` | array |  |
| `@nextLink` | string |  |

### PaginatedQueryResultModel_IssuerResponse

Generic paginated model to wrap query response data

| Property | Type | Description |
|---|---|---|
| `@recordsetCount` | integer |  |
| `value` | array |  |
| `@nextLink` | string |  |

### PaginatedQueryResultModel_W9FormBaseResponse

Generic paginated model to wrap query response data

| Property | Type | Description |
|---|---|---|
| `@recordsetCount` | integer |  |
| `value` | array |  |
| `@nextLink` | string |  |

### PrimaryWithholdingAgent

Primary withholding agent information for tax forms

| Property | Type | Description |
|---|---|---|
| `name` | string | Name of the primary withholding agent |
| `ein` | string | EIN (Employer Identification Number) of the primary withholding agent. |

### StateAndLocalWithholding

| Property | Type | Description |
|---|---|---|
| `stateTaxWithheld` | number | Amount of state tax that was withheld |
| `state` | string | US state |
| `stateId` | string | State ID of the entity issuing the form |
| `stateIncome` | number | Amount of state income |
| `localTaxWithheld` | number | Amount of local tax that was withheld |
| `locality` | string | Locality name |
| `localityId` | string | Locality ID of the entity issuing the form |
| `localIncome` | number | Amount of local income |

### StateEfileStatusDetail

| Property | Type | Description |
|---|---|---|
| `status` | string |  |
| `time` | string |  |
| `jurisdiction` | string |  |
| `rejectedReason` | string |  |

### SubstantialUsOwnerRequest

| Property | Type | Description |
|---|---|---|
| `name` | string | The name of the substantial U.S. owner of the NFFE. |
| `address` | string | The address of the substantial U.S. owner of the NFFE. |
| `tin` | string | The taxpayer identification number (TIN) of the substantial U.S. owner of the NFFE. |

### SubstantialUsOwnerResponse

| Property | Type | Description |
|---|---|---|
| `name` | string | The name of the substantial U.S. owner of the NFFE. |
| `address` | string | The address of the substantial U.S. owner of the NFFE. |
| `tin` | string | The taxpayer identification number (TIN) of the substantial U.S. owner of the NFFE. |

### TinMatchStatusResponse

| Property | Type | Description |
|---|---|---|
| `time` | string | The current timestamp for the TIN match request. |
| `status` | string | The current status for the TIN match request. |
| `irsResponse` | object | The IRS response. |

### ValidationError

| Property | Type | Description |
|---|---|---|
| `field` | string | The field containing the error |
| `errors` | array | The list of error messages |
| `errorCodes` | array | The list of error codes (only present when api_error_codes flag is enabled) |

### W4FormMinimalRequest

| Property | Type | Description |
|---|---|---|
| `type` | string | The form type (always "w4" for this model). |
| `email` | string | The email address of the individual associated with the form. |
| `employeeFirstName` | string | The first name of the employee. |
| `employeeLastName` | string | The last name of the employee. |
| `officeCode` | string | The office code associated with the form. |

### W4FormRequest

| Property | Type | Description |
|---|---|---|
| `type` | string | The form type (always "w4" for this model). |
| `employeeFirstName` | string | The first name of the employee. |
| `employeeMiddleName` | string | The middle name of the employee. |
| `employeeLastName` | string | The last name of the employee. |
| `employeeNameSuffix` | string | The name suffix of the employee. |
| `tinType` | string | Tax Identification Number (TIN) type. |
| `tin` | string | The taxpayer identification number (TIN). |
| `address` | string | The address of the employee. Required unless exempt. |
| `city` | string | The city of residence of the employee. Required unless exempt. |
| `state` | string | The state of residence of the employee. Required unless exempt. |
| `zip` | string | The ZIP code of residence of the employee. Required unless exempt. |
| `maritalStatus` | string | The marital status of the employee. Required unless exempt.
Available values:
- Single: Single or Married filing separately
- Married: Married filing jointly or qualifying surviving spouse
- MarriedBut: Head of household. Check only if you're unmarried and pay more than half the costs of keeping up a home for yourself and a qualifying individual. |
| `lastNameDiffers` | boolean | Indicates whether the last name differs from prior records. |
| `numAllowances` | integer | The number of allowances claimed by the employee. |
| `otherDependents` | integer | The number of dependents other than allowances. |
| `nonJobIncome` | number | The amount of non-job income. |
| `deductions` | number | The amount of deductions claimed. |
| `additionalWithheld` | number | The additional amount withheld. |
| `exemptFromWithholding` | boolean | Indicates whether the employee is exempt from withholding. |
| `officeCode` | string | The office code associated with the form. |

### W4FormResponse

| Property | Type | Description |
|---|---|---|
| `type` | string | The form type (always "W4" for this model). |
| `employeeFirstName` | string | The first name of the employee. |
| `employeeMiddleName` | string | The middle name of the employee. |
| `employeeLastName` | string | The last name of the employee. |
| `employeeNameSuffix` | string | The name suffix of the employee. |
| `tinType` | string | Tax Identification Number (TIN) type. |
| `tin` | string | The taxpayer identification number (TIN). |
| `address` | string | The address of the employee. |
| `city` | string | The city of residence of the employee. |
| `state` | string | The state of residence of the employee. |
| `zip` | string | The ZIP code of residence of the employee. |
| `maritalStatus` | string | The marital status of the employee. |
| `lastNameDiffers` | boolean | Indicates whether the last name differs from prior records. |
| `numAllowances` | integer | The number of allowances claimed by the employee. |
| `otherDependents` | integer | The number of dependents other than allowances. |
| `nonJobIncome` | number | The amount of non-job income. |
| `deductions` | number | The amount of deductions claimed. |
| `additionalWithheld` | number | The additional amount withheld. |
| `exemptFromWithholding` | boolean | Indicates whether the employee is exempt from withholding. |
| `officeCode` | string | The office code associated with the form. |

### W8BenEFormMinimalRequest

| Property | Type | Description |
|---|---|---|
| `type` | string | The form type (always "w8bene" for this model). |
| `email` | string | The email address of the individual associated with the form. |
| `name` | string | The name of the individual or entity associated with the form. |
| `referenceNumber` | string | A reference number for the form. |

### W8BenEFormRequest

| Property | Type | Description |
|---|---|---|
| `type` | string | The form type (always "w8bene" for this model). |
| `name` | string | The name of the individual or entity associated with the form. |
| `citizenshipCountry` | string | The country of citizenship. |
| `disregardedEntity` | string | The name of the disregarded entity receiving the payment (if applicable). |
| `entityType` | string | Represents the entity type for tax forms.
Each value corresponds to a specific entity classification.
- 1: Corporation
- 2: Disregarded entity
- 3: Partnership
- 4: Simple trust
- 5: Grantor trust
- 6: Complex trust
- 7: Estate
- 8: Foreign Government - Controlled Entity
- 9: Central Bank of Issue
- 10: Tax-exempt organization
- 11: Private foundation
- 12: International organization
- 13: Foreign Government - Controlled Integral Part |
| `makingTreatyClaim` | boolean | Indicates whether the entity is making a treaty claim. |
| `fatcaStatus` | string | Represents the FATCA status types for tax forms.
Used for W8-BEN-E forms and FATCA compliance validations.
Values correspond to numeric identifiers used in forms.
- 1: Nonparticipating FFI (including a limited FFI or an FFI related to a Reporting IGA FFI other than a deemed-compliant FFI, participating FFI, or exempt beneficial owner)
- 2: Participating FFI
- 3: Reporting Model 1 FFI
- 4: Reporting Model 2 FFI
- 5: Registered deemed-compliant FFI (other than a reporting Model 1 FFI, sponsored FFI, or nonreporting IGA FFI covered in Part XII)
- 6: Sponsored FFI that has not obtained a GIIN
- 7: Certified deemed-compliant nonregistering local bank
- 8: Certified deemed-compliant FFI with only low-value accounts
- 9: Certified deemed-compliant sponsored, closely held investment vehicle
- 10: Certified deemed-compliant limited life debt investment entity
- 11: Certified deemed-compliant investment advisors and investment managers
- 12: Owner-documented FFI
- 13: Restricted distributor
- 14: Nonreporting IGA FFI
- 15: Foreign government, government of a U.S. possession, or foreign central bank of issue
- 16: International organization
- 17: Exempt retirement plans
- 18: Entity wholly owned by exempt beneficial owners
- 19: Territory financial institution
- 20: Nonfinancial group entity
- 21: Excepted nonfinancial start-up company
- 22: Excepted nonfinancial entity in liquidation or bankruptcy
- 23: 501(c) organization
- 24: Nonprofit organization
- 25: Publicly traded NFFE or NFFE affiliate of a publicly traded corporation
- 26: Excepted territory NFFE
- 27: Active NFFE
- 28: Passive NFFE
- 29: Excepted inter-affiliate FFI
- 30: Direct reporting NFFE
- 31: Sponsored direct reporting NFFE
- 32: Account that is not a financial account |
| `residenceAddress` | string | The residential address of the individual or entity. |
| `residenceCity` | string | The city of residence. |
| `residenceState` | string | The state of residence.. Allowed values: AA, AE, AK, AL, AP, AR, AS, AZ, CA, CO (and 65 more) |
| `residenceZip` | string | The ZIP code of the residence. |
| `residenceCountry` | string | The country of residence. |
| `residenceIsMailing` | boolean | Indicates whether the residence address is also the mailing address. |
| `mailingAddress` | string | The mailing address. |
| `mailingCity` | string | The city of the mailing address. |
| `mailingState` | string | The state of the mailing address.. Allowed values: AA, AE, AK, AL, AP, AR, AS, AZ, CA, CO (and 65 more) |
| `mailingZip` | string | The ZIP code of the mailing address. |
| `mailingCountry` | string | The country of the mailing address. |
| `tin` | string | The taxpayer identification number (TIN). |
| `giin` | string | The global intermediary identification number (GIIN). |
| `foreignTinNotRequired` | boolean | Indicates whether a foreign TIN is not required. |
| `foreignTin` | string | The foreign taxpayer identification number (TIN). |
| `referenceNumber` | string | A reference number for the form. |
| `disregardedEntityFatcaStatus` | string | The FATCA status of disregarded entity or branch receiving payment.
Available values:
- 1: Branch treated as nonparticipating FFI
- 2: U.S. Branch
- 3: Participating FFI
- 4: Reporting Model 1 FFI
- 5: Reporting Model 2 FFI |
| `disregardedAddress` | string | The address for disregarded entities. |
| `disregardedCity` | string | The city for disregarded entities. |
| `disregardedState` | string | The state for disregarded entities.. Allowed values: AA, AE, AK, AL, AP, AR, AS, AZ, CA, CO (and 65 more) |
| `disregardedZip` | string | The ZIP code for disregarded entities. |
| `disregardedCountry` | string | The country for disregarded entities. |
| `disregardedEntityGiin` | string | The GIIN for disregarded entities. |
| `treatyCountryCertification` | boolean | Certifies the beneficial owner's country under the U.S. tax treaty. |
| `treatyCountry` | string | The treaty country of the beneficial owner. |
| `benefitLimitationCertification` | boolean | Certifies that the beneficial owner is eligible for treaty benefits and meets any limitation on benefits requirements. |
| `benefitLimitation` | string | The benefit limitation for tax treaty claims.
Available values:
- 1: Government
- 2: Tax exempt pension trust or pension fund
- 3: Other tax exempt organization
- 4: Publicly traded corporation
- 5: Subsidiary of a publicly traded corporation
- 6: Company that meets the ownership and base erosion test
- 7: Company that meets the derivative benefits test
- 8: Company with an item of income that meets active trade or business test
- 9: Favorable discretionary determination by the U.S. competent authority received
- 10: Other
- 11: No LOB article in treaty |
| `qualifiedResidentStatusCertification` | boolean | Certifies that the beneficial owner claims treaty benefits and meets the qualified resident status for specific U.S. source income. |
| `treatyArticle` | string | Indicates the specific article and paragraph of the tax treaty under which the beneficial owner is claiming benefits. |
| `withholdingRate` | string | Specifies the reduced withholding rate claimed under the applicable tax treaty. |
| `incomeType` | string | Specifies the type of income for which the reduced treaty withholding rate is being claimed. |
| `treatyReasons` | string | The additional conditions in the article the beneficial owner meets to be eligible for the rate of withholding. |
| `ffiSponsoringEntity` | string | The name of the entity that sponsors the foreign financial institution (FFI). |
| `investmentEntityCertification` | boolean | Certifies that the entity is an investment entity, not a QI, WP, or WT, and has an agreement with a sponsoring entity. |
| `controlledForeignCorporationCertification` | boolean | Certifies that the entity is a controlled foreign corporation sponsored by a U.S. financial institution, not a QI, WP, or WT,
and shares a common electronic account system for full transparency. |
| `compliantNonregisteringLocalBankCertification` | boolean | Certifies that the FFI operates solely as a limited bank or credit union within its country, meets asset thresholds,
and has no foreign operations or affiliations outside its country of organization. |
| `compliantFfiLowValueAccountsCertification` | boolean | Certifies that the FFI is not primarily engaged in investment activities, maintains only low-value accounts,
and has limited total assets within its group. |
| `sponsoredCloselyHeldEntitySponsoringEntity` | string | The name of sponsoring entity for a certified deemed-compliant, closely held investment vehicle. |
| `sponsoredCloselyHeldInvestmentVehicleCertification` | boolean | Certifies that the entity is a sponsored investment entity with 20 or fewer individual owners,
and that all compliance obligations are fulfilled by the sponsoring entity. |
| `compliantLimitedLifeDebtEntityCertification` | boolean | Certifies that the entity qualifies as a limited life debt investment entity based on its formation date, issuance terms,
and compliance with regulatory requirements. |
| `investmentEntityNoFinancialAccountsCertification` | boolean | Certifies that the entity is a financial institution solely because it is an investment entity under regulations
and the entity does not maintain financial accounts. |
| `ownerDocumentedFfiCertification` | boolean | Certifies that the FFI meets all requirements to qualify as an owner-documented FFI, including restrictions on activities,
ownership, and account relationships. |
| `ownerDocumentedFfiReportingStatementCertification` | boolean | Certifies that the FFI will provide a complete owner reporting statement
and required documentation for each relevant owner or debt holder. |
| `ownerDocumentedFfiAuditorLetterCertification` | boolean | Certifies that the FFI will provide an auditor’s letter and required owner reporting documentation
to confirm its status as an owner-documented FFI. |
| `ownerDocumentedFfiTrustBeneficiariesCertification` | boolean | Certifies that the trust has no contingent or unidentified beneficiaries or designated classes of beneficiaries. |
| `restrictedDistributorCertification` | boolean | Certifies that the entity qualifies as a restricted distributor based on its operations, customer base, regulatory compliance,
and financial and geographic limitations. |
| `restrictedDistributorAgreementCertification` | boolean | Certifies that the entity is, and has been, bound by distribution agreements prohibiting sales of fund interests to
specified U.S. persons and certain non-U.S. entities. |
| `restrictedDistributorPreexistingSalesComplianceCertification` | boolean | Certifies that the entity complies with distribution restrictions for U.S.-linked investors
and has addressed any preexisting sales in accordance with FATCA regulations. |
| `nonreportingIgaFfiCertification` | boolean | Certifies that the entity meets the requirements to be considered a nonreporting financial institution to an applicable IGA. |
| `igaCountry` | string | The country for the applicable IGA with the United States. |
| `igaModel` | string | The applicable IGA model.
Available values:
- 1: Model 1 IGA
- 2: Model 2 IGA |
| `igaLegalStatusTreatment` | string | Specifies how the applicable IGA is treated under the IGA provisions or Treasury regulations. |
| `igaFfiTrusteeOrSponsor` | string | The trustee or sponsor name for the nonreporting IGA FFI. |
| `igaFfiTrusteeIsForeign` | boolean | Indicates whether the trustee for the nonreporting IGA FFI is foreign. |
| `nonCommercialFinancialActivityCertification` | boolean | Certifies that the entity is the beneficial owner and is not engaged in commercial financial activities related
to the specified payments, accounts or obligations for which this form is submitted. |
| `internationOrganizationCertification` | boolean | Certifies that the entity is an international organization described in section 7701(a)(18). |
| `intergovernmentalOrganizationCertification` | boolean | Certifies that the entity is an intergovernmental or supranational organization primarily comprised of foreign governments,
is the beneficial owner, and is not engaged in commercial financial activities. |
| `treatyQualifiedPensionFundCertification` | boolean | Certifies that the entity is a pension or retirement fund established in a treaty country
and is entitled to treaty benefits on U.S. source income. |
| `qualifiedRetirementFundCertification` | boolean | Certifies that the entity is a government-regulated retirement fund meeting specific requirements for contributions, tax exemption,
beneficiary limits, and distribution restrictions. |
| `narrowParticipationRetirementFundCertification` | boolean | Certifies that the entity is a government-regulated retirement fund with fewer than 50 participants, limited foreign ownership,
and employer sponsorship that is not from investment entities or passive NFFEs. |
| `section401AEquivalentPensionPlanCertification` | boolean | Certifies that the entity is formed under a pension plan meeting section 401(a) requirements, except for being U.S.-trust funded. |
| `investmentEntityForRetirementFundsCertification` | boolean | Certifies that the entity is established solely to earn income for the benefit of qualifying retirement funds
or accounts under applicable FATCA regulations or IGAs. |
| `exemptBeneficialOwnerSponsoredRetirementFundCertification` | boolean | Certifies that the entity is established and sponsored by a qualifying exempt beneficial owner to provide retirement, disability,
or death benefits to individuals based on services performed for the sponsor. |
| `exemptBeneficialOwnerOwnedInvestmentEntityCertification` | boolean | Certifies that the entity is an investment entity wholly owned by exempt beneficial owners and has provided complete ownership
and documentation details as required under FATCA regulations. |
| `territoryFinancialInstitutionCertification` | boolean | Certifies that the entity is a financial institution (other than an investment entity) that is incorporated
or organized under the laws of a possession of the United States. |
| `exceptedNonfinancialGroupEntityCertification` | boolean | Certifies that the entity is a holding company, treasury center, or captive finance company operating within a nonfinancial group
and not functioning as an investment or financial institution. |
| `exceptedNonfinancialStartUpCertification` | boolean | Certifies that the entity is a recently formed startup NFFE investing in a non-financial business
[...]
